Subject: Re: bug#50244: 28.0.50; Support project-wide diagnostics reports in flymake.el

From: João Távora <[email-masked]>
Date: Fri, 17 Sep 2021 00:37:31 +0100

Dmitry Gutov <[email-masked]> writes:

> When I said "belong to default-directory", I didn't mean "reside
> inside". I meant "all diagnostics that, in the opinion of the
> diagnostics source, relate to the specified default-directory".
>
> Basically all diagnostics belonging to the project which
> default-directory belongs to (with implicit assumption that
> default-directory can uniquely identify the project).

I think I answered this is my other email.

>> Indeed, I even thought that flymake-show-project-diagnostics could go
> into the 'C-x p' map.  But users can do that easily if they want to, so
> I won't argue for that now.
>
> Uh, maybe. I was thinking we'd rather add a new keymap (in the spirit
> of Flycheck's 'C-c !') with Flymake-related commands. Then the
> "aggregated diagnostics" could be on its own button, or they could
> even be displayed by 'M-x flymake-show-diagnostics-buffer'.

OK. Could be.  Won't argue that now.

João